{ pkgs, lib, outputs, ... }:
{
  imports = [
    ./alacritty.nix
    ./crypto.nix
    ./design.nix
    ./i3-gaps.nix
    ./fonts.nix
    ./media.nix
    ./polybar.nix
    ./qt.nix
    ./rofi.nix
    ./social.nix
    ./syncthing.nix
    ./video.nix
  ];

  xdg.mimeApps.enable = true;

  home.sessionVariables = {
    QT_QPA_PLATFORMTHEME = "qt5ct";
    WEBKIT_DISABLE_COMPOSITING_MODE = "1";
    EDITOR = "emacs";
    VISUAL = "emacs"; 
    XDG_CONFIG_HOME = "\${HOME}/.config";
    XDG_BIN_HOME = "\${HOME}/.local/bin";
    XDG_DATA_HOME = "\${HOME}/.local/share";
    PATH = [ "\${XDG_BIN_HOME}" "\${HOME}/.cargo/bin" ];
  };
  
  home.packages = with pkgs; [
    alacritty
    autotiling
    brave
    blueberry
    brighnessctl
    feh
    flameshot
    gnome.fileroller
    gnome.seahorse
    gnome.vinagre
    libnotify
    lxappearance
    nyxt
    pasystray
    pavucontrol
    picom
    unrar
    unzip
    variety
    xclip
    xdg-utils
    xdotool
    xfce.xfce4-clipman-plugin
    xorg.xbacklight
    xorg.xkill
    xorg.xmodmap
    xorg.xrandr
    zip
  ];
}
